# Draw_DC_XXX_Polylines

## Functions

void | `HIC_Draw_DC_Polyline`
void | `HIC_Draw_DC_Colorized_Polyline`
void | `HIC_Draw_DC_Gouraud_Polyline`
void | `HIC_Draw_DC_Phong_Polyline`
void | `HIC_Draw_DC_Textured_Polyline`

## Detailed Description

group Draw_DC_XXX_Polylines

## Function Documentation

void HIC_Draw_DC_Polyline(HIC_Rendition *nr, int count, HIC_DC_Point points[])

  This function draws a polyline.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - count – An int.

    - points – An array of const HIC_DC_Point.

void HIC_Draw_DC_Colorized_Polyline(HIC_Rendition *nr, int count, HIC_DC_Point points[], HIC_RGBAS32 color[], int single)

  This function draws a polyline using passed in color values instead of the rendition colors.

  See also

  HIC_Draw_DC_Polyline, HIC_Draw_DC_Edges

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - count – An int.

    - points – An array of const HIC_DC_Point.

    - color – A pointer to a const HIC_RGBAS32.

    - single – A boolean.

void HIC_Draw_DC_Gouraud_Polyline(HIC_Rendition *nr, int count, HIC_DC_Point points[], HIC_RGBAS32 colors[])

  This function draws a gouraud polyline.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - count – An int.

    - points – An array of const HIC_DC_Point.

    - colors – A pointer to a const HIC_RGBAS32.

void HIC_Draw_DC_Phong_Polyline(HIC_Rendition *nr, int count, HIC_DC_Point points[], HIC_RGBA colors[], HIC_Plane planes[], HIC_DPlane dplanes[], HIC_Point worlds[], HIC_DPoint dworlds[])

  This function draws a phong polyline.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - count – An int.

    - points – An array of const HIC_DC_Point.

    - colors – A pointer to a const HIC_RGBA.

    - planes – A pointer to a const HIC_Plane.

void HIC_Draw_DC_Textured_Polyline(HIC_Rendition *nr, int count, HIC_DC_Point points[], HIC_RGBA colors[], HIC_Plane planes[], HIC_DPlane dplanes[], HIC_Point worlds[], HIC_DPoint dworlds[], float params[], int param_width, HIC_Integer32 param_flags)

  This function draws a textured polyline.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - count – An int.

    - points – An array of const HIC_DC_Point.

    - colors – A pointer to a const HIC_RGBA.

    - planes – A pointer to a const HIC_Plane.

    - params – A pointer to a const float.

    - param_width – An int.

    - param_flags – A HIC_Integer32.